> ## Documentation Index
> Fetch the complete documentation index at: https://support.lilt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Lilt Create preferences

> Update the stored preferences for Lilt Create.

Example CURL:
```bash
curl -X PUT
'https://api.lilt.com/v2/create/preferences?key=API_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{"tone": "formal", "styleguide": ""}'
```





## OpenAPI

````yaml /api-reference/openapi-bundled.yaml put /v2/create/preferences
openapi: 3.0.3
info:
  title: LILT API
  description: >
    LILT API Support: https://lilt.atlassian.net/servicedesk/customer/portals


    The LILT API enables programmatic access to the full-range of LILT backend
    services including:
      * Training of and translating with interactive, adaptive machine translation
      * Large-scale translation memory
      * The Lexicon (a large-scale termbase)
      * Programmatic control of the LILT CAT environment
      * Translation memory synchronization


    Requests and responses are in JSON format. The REST API only responds to
    HTTPS / SSL requests.


    The base url for this REST API is `https://api.lilt.com/`.


    ## Authentication


    Requests are authenticated via API key, which requires the Business plan.


    Requests are authenticated using [HTTP Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication). Add your
    API key as both the `username` and `password`.


    For development, you may also pass the API key via the `key` query
    parameter. This is less secure than HTTP Basic Auth, and is not recommended
    for production use.


    ## Quotas


    Our services have a general quota of 4000 requests per minute. Should you
    hit the maximum requests per minute, you will need to wait 60 seconds before
    you can send another request.
  version: v3.0.3
  license:
    name: LILT Platform Terms and Conditions
    url: https://lilt.com/lilt-platform-terms-and-conditions
servers:
  - url: https://api.lilt.com
security:
  - BasicAuth: []
  - ApiKeyAuth: []
paths:
  /v2/create/preferences:
    put:
      tags:
        - Create
      summary: Update Lilt Create preferences
      description: |+
        Update the stored preferences for Lilt Create.

        Example CURL:
        ```bash
        curl -X PUT
        'https://api.lilt.com/v2/create/preferences?key=API_KEY' \
        --header 'Content-Type: application/json' \
        --data-raw '{"tone": "formal", "styleguide": ""}'
        ```

      operationId: updateLiltCreatePreferences
      requestBody:
        description: Which styleguide to use.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LiltCreateContent'
        required: false
      responses:
        '200':
          description: The updated Lilt Create preferences.
          content: {}
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    LiltCreateContent:
      type: object
      required:
        - language
        - template
        - templateParams
      properties:
        name:
          type: string
          description: A name for the request content.
        id:
          type: integer
          description: A unique identifier for the generated content.
        language:
          type: string
          description: The language of the content.
        template:
          type: string
          description: The template of the content.
        templateParams:
          type: object
          description: The template parameters of the content.
          required:
            - language
          properties:
            contentLength:
              type: integer
              description: The length of the content.
            memoryId:
              type: integer
              description: The ID referencing a Data Source.
            language:
              type: string
              description: The language of the content.
            sections:
              type: array
              description: The sections of the content.
              items:
                type: string
                description: A section heading of the content.
            summary:
              type: string
              description: The summary of the content.
        preferences:
          type: object
          description: The preferences of the content.
          properties:
            tone:
              type: string
              description: The tone of the content.
            styleguide:
              type: string
              description: The styleguide of the content.
      description: |
        Content Parameters for LiltCreate.
    Error:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message describing the error.
      description: |
        Response in the event of an unexpected error.
      example:
        message: Internal server error.
  responses:
    UnauthorizedError:
      description: Unauthorized
      content:
        application/octet-stream:
          schema:
            type: string
        text/plain:
          schema:
            type: string
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      name: key
      in: query

````